---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "",
          "interface": "eth0",
          "ips": [
              "10.128.0.8"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "",
          "interface": "eth0",
          "ips": [
              "10.128.0.8"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: anyuid
  creationTimestamp: "2022-03-08T10:14:13Z"
  generateName: cluster-storage-operator-bc56464-
  labels:
    name: cluster-storage-operator
    pod-template-hash: bc56464
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:name: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"b0bbdafc-b020-4e8f-a78d-673be748e55e"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"cluster-storage-operator"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"ATTACHER_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"AWS_EBS_DRIVER_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"AWS_EBS_DRIVER_OPERATOR_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"LIVENESS_PROBE_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"MANILA_DRIVER_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"MANILA_DRIVER_OPERATOR_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"MANILA_NFS_DRIVER_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_DRIVER_REGISTRAR_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERAND_IMAGE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERATOR_IMAGE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OVIRT_DRIVER_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OVIRT_DRIVER_OPERATOR_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"PROVISIONER_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"RESIZER_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SNAPSHOTTER_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":60000,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
    manager: kube-controller-manager
    operation: Update
    time: "2022-03-08T10:14:13Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-scheduler
    operation: Update
    time: "2022-03-08T10:14:13Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2022-03-08T10:38:39Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.128.0.8"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2022-03-08T10:42:37Z"
  name: cluster-storage-operator-bc56464-b7kxp
  namespace: openshift-cluster-storage-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: cluster-storage-operator-bc56464
    uid: b0bbdafc-b020-4e8f-a78d-673be748e55e
  resourceVersion: "15379"
  selfLink: /api/v1/namespaces/openshift-cluster-storage-operator/pods/cluster-storage-operator-bc56464-b7kxp
  uid: b3affe51-4e08-4524-9757-be15d6ed563f
spec:
  containers:
  - command:
    - cluster-storage-operator
    - start
    env:
    - name: OPERATOR_IMAGE_VERSION
      value: 4.6.52
    - name: OPERAND_IMAGE_VERSION
      value: 4.6.52
    - name: AWS_EBS_DRIVER_OPERATOR_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:555ff4ff8330e26b155306851b29e43e85024700536c8b97f08d4d62f7c94a39
    - name: AWS_EBS_DRIVER_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c2e03dea4de07998fa8062aad14ba0b71460c456519293baad78cbc470c9f86f
    - name: OVIRT_DRIVER_OPERATOR_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:29ca4c9cc4c1a89c3c7b06eeb54a95755920f24d93726076fee8eba139fbf37d
    - name: OVIRT_DRIVER_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:761d0a09c7db66e66773e4555fea52083883e145a34f93984eb0add741623b14
    - name: MANILA_DRIVER_OPERATOR_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8faf4d0f98b5d1be91ade5d7f4a70e26765125abbd25bfe998cd07a575f578ab
    - name: MANILA_DRIVER_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:be9a28ad603ec78700cf43ad648ba9af15f1d8dd140260a76b5c05fa87db8c55
    - name: MANILA_NFS_DRIVER_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d66990ee2e12b085459fa976d78184e8870e6cdc012f77e3e8f633956711ac3b
    - name: PROVISIONER_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4b030762a0cf6b55c43e73a73c9588db4ffb65ffa17e59d68411ef513daadaa9
    - name: ATTACHER_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea4795f2e7c7447e3331977ae9cf8141c291046f0ccba45dff87276d98bb7900
    - name: RESIZER_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3e4eb1fdd321c1969cce38a03ddc66b690f77778acdb2d9201fa4a83a84eb636
    - name: SNAPSHOTTER_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:83ec002e9ef9fff0dfa713310ffe07b6b98f464f8f6689de6649de6261d36fb7
    - name: NODE_DRIVER_REGISTRAR_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d5c183279807002f75b8a41cef99e693c135328d89d648e2bc81aa26c0398faa
    - name: LIVENESS_PROBE_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:437817f4dade1929f903f0801f488825d1de813c577ffdae8d2d737213ca6574
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f1c3255b55cd57639781c529c27f98ee3e8101c31265cbd6cc63896eee70d63c
    imagePullPolicy: IfNotPresent
    name: cluster-storage-operator
    ports:
    - containerPort: 60000
      name: metrics
      protocol: TCP
    resources:
      requests:
        cpu: 10m
        memory: 20Mi
    securityContext:
      capabilities:
        drop:
        - MKNOD
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: cluster-storage-operator-token-8cxpq
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: master-1.case03116926.lab.upshift.rdu2.redhat.com
  nodeSelector:
    node-role.kubernetes.io/master: ""
  preemptionPolicy: PreemptLowerPriority
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    seLinuxOptions:
      level: s0:c15,c10
  serviceAccount: cluster-storage-operator
  serviceAccountName: cluster-storage-operator
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 120
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 120
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: cluster-storage-operator-token-8cxpq
    secret:
      defaultMode: 420
      secretName: cluster-storage-operator-token-8cxpq
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:38:37Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:42:37Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:42:37Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:38:37Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://8a4e8906fd11700c286f32e4e9ffb6d299d812634cc3f50d768314e28d6331b2
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f1c3255b55cd57639781c529c27f98ee3e8101c31265cbd6cc63896eee70d63c
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f1c3255b55cd57639781c529c27f98ee3e8101c31265cbd6cc63896eee70d63c
    lastState:
      terminated:
        containerID: cri-o://2dd9a5dbf5cc49d9012dc2a4d85d5373cf28349920e52de447ae0e9f348f3a07
        exitCode: 0
        finishedAt: "2022-03-08T10:42:35Z"
        reason: Completed
        startedAt: "2022-03-08T10:38:49Z"
    name: cluster-storage-operator
    ready: true
    restartCount: 1
    started: true
    state:
      running:
        startedAt: "2022-03-08T10:42:36Z"
  hostIP: 10.0.95.76
  phase: Running
  podIP: 10.128.0.8
  podIPs:
  - ip: 10.128.0.8
  qosClass: Burstable
  startTime: "2022-03-08T10:38:37Z"
